cURL
curl -X POST "https://api.smooth.sh/api/v1/profile" \
-H "Content-Type: application/json" \
-H "apikey: YOUR_API_KEY" \
-d '{"id": "my-profile"}'from smooth import SmoothClient
client = SmoothClient(api_key="YOUR_API_KEY")
profile = client.create_profile(profile_id="my-profile")
print(f"Profile ID: {profile.id}")const options = {
method: 'POST',
headers: {apikey: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({id: '<string>'})
};
fetch('https://api.smooth.sh/api/v1/profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"r": {
"id": "<string>"
}
}Profile
Create Profile
Creates a new browser profile. Profiles persist cookies and authentication across tasks.
POST
/
profile
cURL
curl -X POST "https://api.smooth.sh/api/v1/profile" \
-H "Content-Type: application/json" \
-H "apikey: YOUR_API_KEY" \
-d '{"id": "my-profile"}'from smooth import SmoothClient
client = SmoothClient(api_key="YOUR_API_KEY")
profile = client.create_profile(profile_id="my-profile")
print(f"Profile ID: {profile.id}")const options = {
method: 'POST',
headers: {apikey: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({id: '<string>'})
};
fetch('https://api.smooth.sh/api/v1/profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"r": {
"id": "<string>"
}
}Authorizations
Body
application/json
Request model for creating a browser profile.
Optional custom ID for the profile. If not provided, a random ID will be generated.
Response
Profile successfully created.
Response model for profile operations.
Show child attributes
Show child attributes
⌘I